<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.11.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VICOLib: TempType Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
  $(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="Logo.png"/></td>
  <td id="projectalign">
   <div id="projectname">VICOLib
   </div>
   <div id="projectbrief">Software documentation</div>
  </td>
    <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <span id="MSearchSelect"                onmouseover="return searchBox.OnSearchSelectShow()"                onmouseout="return searchBox.OnSearchSelectHide()">&#160;</span>
          <input type="text" id="MSearchField" value="" placeholder="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.svg" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.11.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() { codefold.init(0); });
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('a00074.html',''); initResizable(true); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle"><div class="title">TempType Struct Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Temperature structure used in <a class="el" href="a00002.html#a164d3ed09f7d89b12c077de0a7882897" title="Reads out current SDD temperature.">getTemp()</a>.  
 <a href="#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="a00008_source.html">types.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:afe086c30c0e9332053e4e9af4ba77634" id="r_afe086c30c0e9332053e4e9af4ba77634"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#afe086c30c0e9332053e4e9af4ba77634">sddTmp</a></td></tr>
<tr class="memdesc:afe086c30c0e9332053e4e9af4ba77634"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current SDD temperature as 32 bit float (Little-endian = low byte first).  <br /></td></tr>
<tr class="separator:afe086c30c0e9332053e4e9af4ba77634"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7d1dbe5dfc70c60cf58105d8f69dab10" id="r_a7d1dbe5dfc70c60cf58105d8f69dab10"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a7d1dbe5dfc70c60cf58105d8f69dab10">targetTmp</a></td></tr>
<tr class="memdesc:a7d1dbe5dfc70c60cf58105d8f69dab10"><td class="mdescLeft">&#160;</td><td class="mdescRight">The currently set target temperature as 32 bit float (Little-endian = low byte first).  <br /></td></tr>
<tr class="separator:a7d1dbe5dfc70c60cf58105d8f69dab10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0a5f2fadb5e07f3505cf455d812f5d5c" id="r_a0a5f2fadb5e07f3505cf455d812f5d5c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a0a5f2fadb5e07f3505cf455d812f5d5c">rdy</a></td></tr>
<tr class="memdesc:a0a5f2fadb5e07f3505cf455d812f5d5c"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current "Ready" state as boolean.  <br /></td></tr>
<tr class="separator:a0a5f2fadb5e07f3505cf455d812f5d5c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d27d2573d3cc9ff68488695d852d711" id="r_a1d27d2573d3cc9ff68488695d852d711"><td class="memItemLeft" align="right" valign="top"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#a1d27d2573d3cc9ff68488695d852d711">aRdy</a></td></tr>
<tr class="memdesc:a1d27d2573d3cc9ff68488695d852d711"><td class="mdescLeft">&#160;</td><td class="mdescRight">The current "Almost Ready" state as boolean.  <br /></td></tr>
<tr class="separator:a1d27d2573d3cc9ff68488695d852d711"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Temperature structure used in <a class="el" href="a00002.html#a164d3ed09f7d89b12c077de0a7882897" title="Reads out current SDD temperature.">getTemp()</a>. </p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="a1d27d2573d3cc9ff68488695d852d711" name="a1d27d2573d3cc9ff68488695d852d711"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1d27d2573d3cc9ff68488695d852d711">&#9670;&#160;</a></span>aRdy</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a> aRdy</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current "Almost Ready" state as boolean. </p>

</div>
</div>
<a id="a0a5f2fadb5e07f3505cf455d812f5d5c" name="a0a5f2fadb5e07f3505cf455d812f5d5c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0a5f2fadb5e07f3505cf455d812f5d5c">&#9670;&#160;</a></span>rdy</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#a0302c79f6d6b93d902af278d1191e054">BooleanType</a> rdy</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current "Ready" state as boolean. </p>

</div>
</div>
<a id="afe086c30c0e9332053e4e9af4ba77634" name="afe086c30c0e9332053e4e9af4ba77634"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe086c30c0e9332053e4e9af4ba77634">&#9670;&#160;</a></span>sddTmp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> sddTmp</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The current SDD temperature as 32 bit float (Little-endian = low byte first). </p>

</div>
</div>
<a id="a7d1dbe5dfc70c60cf58105d8f69dab10" name="a7d1dbe5dfc70c60cf58105d8f69dab10"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7d1dbe5dfc70c60cf58105d8f69dab10">&#9670;&#160;</a></span>targetTmp</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="a00008.html#abad655ce3987edbc759b46415d1d0120">FloatType</a> targetTmp</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The currently set target temperature as 32 bit float (Little-endian = low byte first). </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="a00074.html">TempType</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.11.0 </li>
  </ul>
</div>
</body>
</html>
